# Uses of Interface
javax.naming.NameParser

Packages that use NameParser
Package
Description
javax.naming
Provides the classes and interfaces for accessing naming services.

## Uses of NameParser in javax.naming

Methods in javax.naming that return NameParser
Modifier and Type
Method
Description
`NameParser`
Context.`getNameParser(String name)`
Retrieves the parser associated with the named context.
`NameParser`
Context.`getNameParser(Name name)`
Retrieves the parser associated with the named context.
`NameParser`
InitialContext.`getNameParser(String name)`
`NameParser`
InitialContext.`getNameParser(Name name)`